using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Scraper.Storage.Filesystem
{
    [SkyscraperPlugin]
    [ScrapeStorageFactoryId(1,"Filesystem",false)]
    public class FilesystemScraperStorageFactory : IScraperStorageFactory
    {
        public string Directory { get; set; }
        public IScraperStroage CreateScraperStroage()
        {
            return new FilesystemScraperStorage(new DirectoryInfo(Directory));
        }
    }
}
